# crypto_coin_db_calculator

[Good tutorial initial at least for flask python etc](https://flask.palletsprojects.com/en/1.0.x/quickstart/) </br>////


General plan could be to make on interface as the one destribed through the todo.txt and db.txt, for all exchanges available and then use an upper level to gather all these info together. I.e sum of all coins individually from all exchanges i.e all usdt from binance, revolut CDC etc. We can do this as, if we make the initial structure kinda abstract-although it might be anyway from design. We can thus see our coins and money etc from all excahnges and monitor better where is how much. 

UI that shows the crypto coins you have and the current money worth, the transactions you did and if you made a profit and how much etc.

RUN on terminal:
./init_flask_app.sh

the url you can hit is :
http://127.0.0.1:5000/coins/        ->you can the available coins in the DB

http://127.0.0.1:5000/coins/eth

http://127.0.0.1:5000/api/transactions/         ->see all transactions in DB


http://127.0.0.1:5000/api/transactions/eth      --->see al transactions for specific coin

hi
